/*------------------------------------------------------------------------------
       TESTES DO DISPLAY LCD 16x2 na plaquinha LaunchPad da Texas
                  RELOGIO DIGITAL NO LCD DA LAUNCHPAD
Compilador IAR versao 5.20.1
Escrito por: Francisco Fambrini - ffambrini@gmail.com
Histrico de alteraes:
                 08/10/2011 - concluda a verso 1.0
------------------------------------------------------------------------------*/
#include <msp430.h>
#include "LCD_MSP430.h"
#include <stdlib.h>

//Definies para o led vermelho da placa Launchpad
#define  LED_VM_OFF     P1OUT=P1OUT & 0xFE   // APAGA O LED VERMELHO   
#define  LED_VM_ON      P1OUT=P1OUT | 0x01   // ACENDE O LED VERMELHO


void  _delay_cycles (unsigned long cycles  );

int main(void){  
 WDTCTL = WDTPW+WDTHOLD;   // Desativa o WDT
 
 int seg=30, min=25, hor=10 ;
 
 char buffer[16];
 
  init_lcm();
  __delay_cycles(1000000);
   
  P1DIR |= 0xFF;   // P1 todo como saida
  
  clr_lcm();  
  LED_VM_OFF;

   
 while(1){  
    
    
  
  
   for (seg=0; seg<59; seg++){    lcd_pos_00( );        //posiciona LCD no inicio da primeira linha
                                   putstr("Tempo=");
                                   tostr( hor, &buffer[0] ) ;
                                   putchar(':');
                                   tostr( min, &buffer[0] ) ;
                                   putchar(':');
                                   tostr( seg, &buffer[0] ) ;
                                   putstr("   ");
                                     lcm_line2();        // linha 2
                                     putstr(" Franc. Fambrini");
                                   __delay_cycles(1000000);
                                }
                  min++;
   if (min>59) { min=0; hor++;
                 if (hor>23) hor=0;
               }
                                     
 }//while 1

}//main
